import * as storybook_internal_docs_tools from 'storybook/internal/docs-tools';
import { extractComponentDescription } from 'storybook/internal/docs-tools';
import { LegacyStoryFn, DecoratorFunction, BaseAnnotations, ArgTypesEnhancer } from 'storybook/internal/types';
import { V as VueRenderer } from './types-1ede6954.js';
export { r as render, a as renderToCanvas } from './render-0377a2e9.js';
import 'vue';

declare function decorateStory(storyFn: LegacyStoryFn<VueRenderer>, decorators: DecoratorFunction<VueRenderer>[]): LegacyStoryFn<VueRenderer>;

declare const mount: BaseAnnotations<VueRenderer>['mount'];

declare const parameters: {
    renderer: string;
    docs: {
        story: {
            inline: boolean;
        };
        extractArgTypes: storybook_internal_docs_tools.ArgTypesExtractor;
        extractComponentDescription: typeof extractComponentDescription;
    };
};
declare const argTypesEnhancers: ArgTypesEnhancer<VueRenderer>[];

export { decorateStory as applyDecorators, argTypesEnhancers, mount, parameters };
